Skip to main content
GET
/
licenses
List licenses
curl --request GET \
  --url https://api.withorb.com/v1/licenses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "subscription_id": "<string>",
      "license_type_id": "<string>",
      "external_license_id": "<string>",
      "status": "active",
      "start_date": "2023-11-07T05:31:56Z",
      "end_date": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination_metadata": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.withorb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

subscription_id
string
required
license_type_id
string | null
external_license_id
string | null
status
enum<string> | null
Available options:
active,
inactive

Response

OK

data
LicenseApiResource · object[]
required
pagination_metadata
PaginationMetadata · object
required